Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510591 - mypy requirement not met, typed-ast needs an update
Summary: mypy requirement not met, typed-ast needs an update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-typed_ast
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 18:26 UTC by Lars E. Pettersson
Modified: 2017-11-17 16:41 UTC (History)
1 user (show)

Fixed In Version: python3-typed_ast-1.1.0-1.fc26 python3-typed_ast-1.1.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 20:49:02 UTC


Attachments (Terms of Use)

Description Lars E. Pettersson 2017-11-07 18:26:11 UTC
Description of problem:

Running mypy outputs an error:

(partial output trace)

   raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (typed-ast 1.0.4 (/usr/lib64/python3.6/site-packages), Requirement.parse('typed-ast<1.2.0,>=1.1.0'), {'mypy'})


Version-Release number of selected component (if applicable):

python3-mypy-0.540-1.fc26.noarch
python3-typed_ast-1.0.4-1.fc26.x86_64


How reproducible:

Always, on two different systems.


Additional info:

Latest version of typed_ast on bohdi is python3-typed_ast-1.0.4-1.fc26 and latest mypy needs at least 1.1.0

Comment 1 Fedora Update System 2017-11-07 21:55:31 UTC
python3-typed_ast-1.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-827cf3277a

Comment 2 Fedora Update System 2017-11-07 21:55:38 UTC
python3-typed_ast-1.1.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-28f0b37f30

Comment 3 Lars E. Pettersson 2017-11-08 08:43:59 UTC
mypy is working with the new update in bohdi. I have not tested the package further than that.

Comment 4 Fedora Update System 2017-11-08 20:30:57 UTC
python3-typed_ast-1.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-28f0b37f30

Comment 5 Fedora Update System 2017-11-08 23:57:37 UTC
python3-typed_ast-1.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-827cf3277a

Comment 6 Fedora Update System 2017-11-16 20:49:02 UTC
python3-typed_ast-1.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-11-17 16:41:56 UTC
python3-typed_ast-1.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.